﻿@using SportsClub.Models.FormModels
@model SportsClub.Models.FormModels.DropDown

@{

    var textBoxHtmlAttr = new Dictionary<string, object>();

    textBoxHtmlAttr.Add("class", "input-large"); // @Salman please add your style here 

    textBoxHtmlAttr.Add("placeholder", Model.HelpText);

    if (Model.Validations.Any(x => x.Type != QuestionValidationType.None))
    {
        textBoxHtmlAttr.Add("data-val", "true");
    }
    if (Model.Validations.Any(x => x.Type == QuestionValidationType.Required))
    {
        textBoxHtmlAttr.Add("data-Val-Required", Model.Validations.First(x => x.Type == QuestionValidationType.Required).Message);
    }

    var titlevalue = Model.Title;

    // if field is required add star
    if (Model.Validations.Any(t => t.Type == QuestionValidationType.Required))
    {
        titlevalue += " <span class='star'>*</span>";
    }
    var labelHtmlAttr = new Dictionary<string, object> { { "class", "Custom-label" }, { "data-value", titlevalue } };
    
}

<div class="pull-left form-group">
    @Html.Hidden("ModelType", Model.GetType())

    <!--To Bind Label to its textbox -->
    @Html.LabelFor(x => x.Value, labelHtmlAttr)

    @Html.HiddenFor(x => x.Title)
    @Html.HiddenFor(x => x.HelpText)
    @foreach (var item in Model.Values)
    { 
        @Html.HiddenFor(modelItem => item)
    }
    @Html.DropDownListFor(model => model.Value, Model.Values.Select(item => new SelectListItem() { Value = item.Key, Text = item.Value }), htmlAttributes: textBoxHtmlAttr)

    @Html.ValidationMessageFor(model => model.Value)
</div>

<script type="text/javascript">

    //get data-value and set to html to correct show value
    $(".Custom-label").each(function () {
        // alert($(this).data("value"));
        $(this).html($(this).data("value"));
    });

</script>



